curl --request POST \
--url 'https://api.stateset.com/api/v1/warehouse-inventory/move' \
--header "Authorization: Bearer $STATESET_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"from_location_id": 1001,
"lot_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"performed_by": "string",
"quantity": "string",
"reason": "Two-person tent, green — replacement for damaged pole set.",
"sku": "SKU-TENT-2P-GRN",
"to_location_id": 1001
}'
{
"created_at": "2026-08-31T14:22:05Z",
"from_location_id": 1001,
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"movement_type": "string",
"quantity": "string",
"reason": "Two-person tent, green — replacement for damaged pole set.",
"sku": "SKU-TENT-2P-GRN",
"to_location_id": 1001
}
Inventory move
Inventory move
POST
/
api
/
v1
/
warehouse-inventory
/
move
curl --request POST \
--url 'https://api.stateset.com/api/v1/warehouse-inventory/move' \
--header "Authorization: Bearer $STATESET_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"from_location_id": 1001,
"lot_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"performed_by": "string",
"quantity": "string",
"reason": "Two-person tent, green — replacement for damaged pole set.",
"sku": "SKU-TENT-2P-GRN",
"to_location_id": 1001
}'
{
"created_at": "2026-08-31T14:22:05Z",
"from_location_id": 1001,
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"movement_type": "string",
"quantity": "string",
"reason": "Two-person tent, green — replacement for damaged pole set.",
"sku": "SKU-TENT-2P-GRN",
"to_location_id": 1001
}
Request body
MoveInventoryRequest
integer (int32)
required
string,null
string,null
string
required
Decimal quantity as a string.
string,null
string
required
integer (int32)
required
Response
MovementResponse
string
required
integer,null (int32)
string
required
string
required
string
required
string,null
string
required
integer,null (int32)
Status codes
| Code | Meaning |
|---|---|
200 | — |
400 | — |
curl --request POST \
--url 'https://api.stateset.com/api/v1/warehouse-inventory/move' \
--header "Authorization: Bearer $STATESET_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"from_location_id": 1001,
"lot_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"performed_by": "string",
"quantity": "string",
"reason": "Two-person tent, green — replacement for damaged pole set.",
"sku": "SKU-TENT-2P-GRN",
"to_location_id": 1001
}'
{
"created_at": "2026-08-31T14:22:05Z",
"from_location_id": 1001,
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"movement_type": "string",
"quantity": "string",
"reason": "Two-person tent, green — replacement for damaged pole set.",
"sku": "SKU-TENT-2P-GRN",
"to_location_id": 1001
}
Last modified on August 31, 2026